data {
    int NFAa; int NCRa;  int NHa;  int NMa;
    int NFAb; int NCRb;  int NHb;  int NMb;
    int NFAc; int NCRc;  int NHc;  int NMc;
    int NFAd; int NCRd;  int NHd;  int NMd;    
}
parameters {
    real dmu_h;
    real Cmu_h;
    real<lower = 0> dsgm_h;
    real<lower = 0> Csgm_h;
    real da; real Ca;  real db; real Cb;
    real dc; real Cc;  real dd; real Cd;
}
model {
    dmu_h ~ normal(0, 5);
    Cmu_h ~ normal(0, 5);
    dsgm_h ~ uniform(0, 5); 
    Csgm_h ~ uniform(0, 5); 
    da ~ normal(dmu_h, dsgm_h);
    db ~ normal(dmu_h, dsgm_h);
    dc ~ normal(dmu_h, dsgm_h);
    dd ~ normal(dmu_h, dsgm_h);
    Ca ~ normal(Cmu_h, Csgm_h);
    Cb ~ normal(Cmu_h, Csgm_h);
    Cc ~ normal(Cmu_h, Csgm_h);
    Cd ~ normal(Cmu_h, Csgm_h);
    NFAa ~ binomial(NFAa+NCRa, 1.0 - normal_cdf(Ca, 0.0, 1.0));
    NHa ~ binomial(NHa+NMa, 1.0 - normal_cdf(Ca, da, 1.0));
    NFAb ~ binomial(NFAb+NCRb, 1.0 - normal_cdf(Cb, 0.0, 1.0));
    NHb ~ binomial(NHb+NMb, 1.0 - normal_cdf(Cb, db, 1.0));
    NFAc ~ binomial(NFAc+NCRc, 1.0 - normal_cdf(Cc, 0.0, 1.0));
    NHc ~ binomial(NHc+NMc, 1.0 - normal_cdf(Cc, dc, 1.0));
    NFAd ~ binomial(NFAd+NCRd, 1.0 - normal_cdf(Cd, 0.0, 1.0));
    NHd ~ binomial(NHd+NMd, 1.0 - normal_cdf(Cd, dd, 1.0));
}
